package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）枚举类
*
* @author zxfei
*/
public enum MaterialPropertyEnum {
    纸质("纸质", "纸质"),
    电子("电子", "电子"),
    纸质电子("纸质|电子", "纸质|电子");
    private String value;
    private String desc;

    MaterialPropertyEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MaterialPropertyEnum getByValue(String value) {
        for (MaterialPropertyEnum materialPropertyEnum : MaterialPropertyEnum.values()) {
            if (materialPropertyEnum.getValue() == value) {
                return materialPropertyEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MaterialPropertyEnum item : MaterialPropertyEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}